Class Index | File Index

## Classes

- _global_
- Array
- Boolean
- Date
- Function
- javascript.ASTManager
- javascript.Indexer
- javascript.JavaScriptOccurrences
- javascript.JSOutliner
- javascript.Summary
- Object
- org.eclipse.orion.client.cf.CFService
- orion.breadcrumbs.BreadCrumbs
- orion.browse.FileBrowser
- orion.browse.FileBrowserOptions
- orion.BrowseView
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commandregistry.CommandRegistry
- orion.commandregistry.ParameterCollector
- orion.commands.Command
- orion.commands.CommandInvocation
- orion.commands.CommandParameter
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.compare.CompareCommandFactory
- orion.compare.CompareSyntaxHighlighter
- orion.compare.CompareView
- orion.compare.CompareViewOptions
- orion.compare.DiffProvider
- orion.compare.FileOptions
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compare.toggleableCompareView
- orion.compare.TwoWayCompareView
- orion.compareUtils
- orion.core.ContentType
- orion.core.ContentTypeRegistry
- orion.core.TypeDef
- orion.core.TypeDefProperties
- orion.core.TypeDefRegistry
- orion.Deferred
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.edit.EditorContext
- orion.editor.ActionDescription
- orion.editor.Annotation
- orion.editor.AnnotationIterator
- orion.editor.AnnotationModel
- orion.editor.AnnotationRuler
- orion.editor.AnnotationStyler
- orion.editor.AnnotationType
- orion.editor.AnnotationTypeList
- orion.editor.AsyncStyler
- orion.editor.BaseEditor
- orion.editor.BlurEvent
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistProviderInfo
- orion.editor.ContentAssistWidget
- orion.editor.ContextMenuEvent
- orion.editor.CssContentAssistProvider
- orion.editor.DestroyEvent
- orion.editor.EditOptions
- orion.editor.Editor
- orion.editor.EventTarget
- orion.editor.FindIterator
- orion.editor.FindOptions
- orion.editor.FocusEvent
- orion.editor.FoldingAnnotation
- orion.editor.HTMLContentAssistProvider
- orion.editor.InputManager
- orion.editor.KeyEvent
- orion.editor.LineNumberRuler
- orion.editor.LineStyleEvent
- orion.editor.ModelChangedEvent
- orion.editor.ModelChangingEvent
- orion.editor.ModifyEvent
- orion.editor.OverviewRuler
- orion.editor.Projection
- orion.editor.ProjectionTextModel
- orion.editor.Ruler
- orion.editor.ScrollEvent
- orion.editor.Selection
- orion.editor.SelectionEvent
- orion.editor.Style
- orion.editor.StyleRange
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextChange
- orion.editor.TextMateStyler
- orion.editor.TextModel
- orion.editor.TextTheme
- orion.editor.TextView
- orion.editor.TextViewOptions
- orion.editor.TextViewShowOptions
- orion.editor.ThemeChangedEvent
- orion.editor.ThemeStyleSheet
- orion.editor.UndoStack
- orion.editor.VerifyEvent
- orion.EditorView
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.FileExplorer
- orion.explorer.FileExplorer.ModelHandler
- orion.explorer.NavigatorRenderer
- orion.explorer.SelectionRenderer
- orion.explorerNavHandler.ExplorerNavDict
- orion.explorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.FolderView
- orion.form
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.KeyBinding
- orion.KeySequence
- orion.KeyStroke
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.objects
- orion.operation
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.PageLinks
- orion.PageLinks.PageLinksInfo
- orion.parametercollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.projectClient.ProjectClient
- orion.Promise
- orion.ReadonlyEditorView
- orion.regex
- orion.search.AdvSearchOptRenderer
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchBuilder
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.searchUtils.SearchParams
- orion.selection.Selection
- orion.serviceregistry.ServiceEvent
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.settings.ui.PropertyWidget
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sidebar.MiniNavViewMode
- orion.sidebar.ProjectNavViewMode
- orion.sidebar.Sidebar
- orion.sidebar.ViewMode
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteEditor
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.SyntaxChecker
- orion.tasks.TaskList
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.URITemplate
- orion.webui.contextmenu.ContextMenu
- orion.webui.dialogs.ConfirmDialog
- orion.webui.dialogs.OpenResourceDialog
- orion.webui.dialogs.OperationsDialog
- orion.webui.dialogs.PromptDialog
- orion.webui.littlelib
- orion.webui.Splitter
- orion.widgets.browse.ResourceSelector
- orion.widgets.Filesystem.FilesystemSwitcher
- orion.widgets.Section
- orion.widgets.settings.SplitSelectionLayout
- orion.xhr
- orion.xhr.Result
- String

# Class orion.editor.UndoStack

The UndoStack is used to record the history of a text model associated to an view. Every change to the model is added to stack, allowing the application to undo and redo these changes.

See:
orion.editor.TextView

Defined in: </jobs/genie.eclipse.orion/orion-client/workspace/bundles/org.eclipse.orion.client.editor/web/orion/editor/undoStack.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.editor.UndoStack(view, size) Constructs a new UndoStack on a text view.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(change) Adds a change to the stack.
| canRedo() Returns true if there is at least one change to redo.
| canUndo() Returns true if there is at least one change to undo.
| destroy() Destroy the undo stack.
| endCompoundChange() Finishes a compound change.
| getRedoChanges() Returns the redo changes.
| getSize() Returns the sizes of the stack.
| getUndoChanges() Returns the undo changes.
| isClean() Returns true if current state of stack is the same as the state when markClean() was called.
| markClean() Marks the current state of the stack as clean.
| redo() Redo the last change in the stack.
| reset() Reset the stack to its original state.
| setView(view)
| startCompoundChange(owner) Starts a compound change.
| undo() Undo the last change in the stack.

Class Detail
orion.editor.UndoStack(view, size)
Constructs a new UndoStack on a text view.

Parameters:
{orion.editor.TextView} view
  the text view for the undo stack.
{Number} size Optional, Default: 100
  the size for the undo stack.

Method Detail
add(change)
Adds a change to the stack.

Parameters:
change
  the change to add.

{Boolean} canRedo()
Returns true if there is at least one change to redo.

Returns:
  {Boolean} returns true if there is at least one change to redo.

See:
  orion.editor.UndoStack#canUndo
  orion.editor.UndoStack#redo

{Boolean} canUndo()
Returns true if there is at least one change to undo.

Returns:
  {Boolean} returns true if there is at least one change to undo.

See:
  orion.editor.UndoStack#canRedo
  orion.editor.UndoStack#undo

destroy()
Destroy the undo stack.

endCompoundChange()
Finishes a compound change.

See:
  orion.editor.UndoStack#startCompoundChange

{orion.editor.TextChange[]} getRedoChanges()
Returns the redo changes.

Returns:
  {orion.editor.TextChange[]} an array of TextChanges that are returned in the order that they occurred (most recent change last).

See:
  orion.editor.UndoStack#getUndoChanges

{object} getSize()
Returns the sizes of the stack.

Returns:
  {object} a object where object.undo is the number of changes that can be un-done, and object.redo is the number of changes that can be re-done.

See:
  orion.editor.UndoStack#canUndo
  orion.editor.UndoStack#canRedo

{orion.editor.TextChange[]} getUndoChanges()
Returns the undo changes.

Returns:
  {orion.editor.TextChange[]} an array of TextChanges that are returned in the reverse order that they occurred (most recent change first).

See:
  orion.editor.UndoStack#getRedoChanges

{Boolean} isClean()
Returns true if current state of stack is the same as the state when markClean() was called.

For example, the application calls markClean(), then calls undo() four times and redo() four times. At this point isClean() returns true.

This function is typically called to determine if the content of the view associated with the stack has changed since the last time it was saved.

Returns:
  {Boolean} returns if the state is the same as the state when markClean() was called.

See:
  orion.editor.UndoStack#markClean

markClean()
Marks the current state of the stack as clean.

This function is typically called when the content of view associated with the stack is saved.

See:
  orion.editor.UndoStack#isClean

{Boolean} redo()
Redo the last change in the stack.

Returns:
  {Boolean} returns true if a change was re-done.

See:
  orion.editor.UndoStack#undo
  orion.editor.UndoStack#canRedo

reset()
Reset the stack to its original state. All changes in the stack are thrown away.

setView(view)

Parameters:
view

startCompoundChange(owner)
Starts a compound change.

All changes added to stack from the time startCompoundChange() is called to the time that endCompoundChange() is called are compound on one change that can be un-done or re-done with one single call to undo() or redo().

Parameters:
owner
  the owner of the compound change which is called for start, end, undo and redo.

Returns:
  the compound change

See:
  orion.editor.UndoStack#endCompoundChange

{Boolean} undo()
Undo the last change in the stack.

Returns:
  {Boolean} returns true if a change was un-done.

See:
  orion.editor.UndoStack#redo
  orion.editor.UndoStack#canUndo

Documentation generated by JsDoc Toolkit 2.4.0 on Mon May 05 2014 22:06:15 GMT-0400 (EDT)